Bug 472557 - futex missreporting ETIMEDOUT instead of EINVAL
futex missreporting ETIMEDOUT instead of EINVAL
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.8
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Jerome Marchand
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-21 13:23 EST by Tru Huynh
Modified: 2009-05-18 15:31 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 15:31:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
test case (849 bytes, text/x-c)
2008-11-21 13:24 EST, Tru Huynh
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
CentOS 3257 None None None Never

  None (edit)
Description Tru Huynh 2008-11-21 13:23:47 EST
Description of problem:
futex missreporting ETIMEDOUT instead of EINVAL, see the testcase provided.

Version-Release number of selected component (if applicable):
4.5/6/7 kernels

How reproducible:
always

Steps to Reproduce:
1. fetch the test case sys_futex.c
2. make sys_futex
3. ./sys_futex
  
Actual results:
sys_futex: futex failed: Connection timed out

Expected results:
should return EINVAL on invalid entry

Additional info:
Comment 1 Tru Huynh 2008-11-21 13:24:38 EST
Created attachment 324330 [details]
test case
Comment 4 RHEL Product and Program Management 2009-02-09 06:29:03 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 5 Jerome Marchand 2009-02-10 08:35:10 EST
I forgot to mention that the patch was posted:
http://post-office.corp.redhat.com/archives/rhkernel-list/2009-February/msg00124.html
Comment 6 Vivek Goyal 2009-02-12 10:35:14 EST
Committed in 81.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/
Comment 9 errata-xmlrpc 2009-05-18 15:31:49 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1024.html

Note You need to log in before you can comment on or make changes to this bug.